﻿@using System.Web.UI.WebControls;
@using System.Web.Mvc;

<table>
    <tr>
        <td>
            @Html.DevExpress().Label(
                Label =>
                {
                    Label.Text = "*Shutter Code";

                }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_SHUTTER_CODE2";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 200;
                    settings.Properties.MaxLength = 4;
                }).GetHtml()
        </td>  
         <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Privilege";
                    }).GetHtml()
        </td>
        <td>
            @*@Html.DevExpress().RadioButtonList(
            settings =>
            {
                settings.Name = "I_PRIVILLAGE2";
                settings.Properties.TextField = "SYSTEM_VALUE";
                settings.Properties.TextField = "SYSTEM_VALUE";
                settings.Properties.RepeatColumns = 2;
                settings.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
            }).BindList(ViewData["PRIVILLAGEs"]).GetHtml()*@
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_PRIVILLAGE2";
                            settings.Width = 200;
                            //settings.SelectedIndexItem = 0;
                            settings.Properties.DropDownWidth = 200;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueField = "SYSTEM_CD";                            
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("SYSTEM_CD", "Code", 75);
                            settings.Properties.Columns.Add("SYSTEM_VALUE", "Value", Unit.Percentage(100));
                            //settings.Properties.ClientSideEvents.Init = "function(s,e){s.SetSelectedIndex(1);}";
                        }
                    ).BindList(ViewData["PRIVILLAGEs"]).GetHtml()
        </td>             
    </tr>
    <tr>
        <td style="padding-top:10px;">
            @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Transportation";

                    }).GetHtml()
        </td>
        <td>
            @*@Html.DevExpress().RadioButtonList(
                    settings =>
                    {
                        settings.Name = "I_TRANSPORTATION2";                        
                        settings.Properties.TextField = "SYSTEM_VALUE";
                        settings.Properties.ValueField = "SYSTEM_CD";
                        settings.Properties.RepeatColumns = 2;
                        settings.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
                    }).BindList(ViewData["TRANSPORTATIONs"]).GetHtml()*@
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_TRANSPORTATION2";
                            settings.Width = 200;
                            settings.Properties.DropDownWidth = 200;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}-{1}";
                            settings.Properties.ValueField = "SYSTEM_CD";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("SYSTEM_CD", "Code", 75);
                            settings.Properties.Columns.Add("SYSTEM_VALUE", "Value", Unit.Percentage(100));
                        }
                    ).BindList(ViewData["TRANSPORTATIONs"]).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Handling Type";
                    }).GetHtml()
        </td>
        <td>
            @*@Html.DevExpress().RadioButtonList(
            settings =>
            {
                settings.Name = "I_HANDLING_TYPE2";
                settings.Properties.TextField = "SYSTEM_VALUE";
                settings.Properties.TextField = "SYSTEM_VALUE";
                settings.Properties.RepeatColumns = 2;
                settings.ControlStyle.Border.BorderStyle = System.Web.UI.WebControls.BorderStyle.None;
            }).BindList(ViewData["HANDLING_TYPEs"]).GetHtml()*@
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_HANDLING_TYPE2";
                            settings.Width = 200;
                            settings.Properties.DropDownWidth = 200;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueField = "SYSTEM_CD";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("SYSTEM_CD", "Code", 75);
                            settings.Properties.Columns.Add("SYSTEM_VALUE", "Value", Unit.Percentage(100));
                        }
                             ).BindList(ViewData["HANDLING_TYPEs"]).GetHtml()
        </td>
    </tr>
    <tr>
        <td>
            @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "*Buyer PD";
                    }).GetHtml()
        </td>
        <td>
           @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_DESTINATION2";
                            settings.Width = 200;
                            settings.Properties.DropDownWidth = 350;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueField = "BUYER_PD_CD";
                            settings.Properties.ValueType = typeof(string);
                            settings.Properties.Columns.Add("BUYER_PD_CD", "Buyer PD", 75);
                            settings.Properties.Columns.Add("DESCRIPTION", "Description", Unit.Percentage(400));
                        }
                       ).BindList(ViewData["DESTINATIONs"]).GetHtml()
        </td>
        <td>&nbsp;</td>
        <td>
            @Html.DevExpress().Label(
                    Label =>
                    {
                        Label.Text = "Case Grouping";
                    }).GetHtml()
        </td>
        <td>
            @Html.DevExpress().ComboBox(
                        settings =>
                        {
                            settings.Name = "I_CASE_GROUPING2";
                            settings.Width = 200;
                            settings.Properties.DropDownWidth = 200;
                            settings.Properties.DropDownStyle = DropDownStyle.DropDownList;
                            settings.Properties.CallbackPageSize = 30;
                            settings.Properties.IncrementalFilteringMode = IncrementalFilteringMode.Contains;
                            settings.Properties.TextFormatString = "{0}";
                            settings.Properties.ValueType = typeof(string);
                        }
                    ).BindList(ViewData["CaseGroupings"]).GetHtml()
        </td>

    </tr>
    @*<tr>
    </tr>*@
    @*<tr>
        
    </tr>*@
    @*<tr>
        
    </tr>*@
    <tr>
        <td colspan="5" align="right">
            @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdSave";
                            edtSetting.Width = 75;
                            edtSetting.Text = "Save";
                            edtSetting.ClientSideEvents.Click = "OnSave";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //di nonaktifin dulu untuk direct login
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("BUYER", "FTR-SPEX-53-01", "CLEAR");
                            // edtSetting.ClientSideEvents.Init = "InitData";
                        }).GetHtml()

            @Html.DevExpress().Button(
                        edtSetting =>
                        {
                            edtSetting.Name = "cmdCancel";
                            edtSetting.Width = 75;
                            edtSetting.Text = "Cancel";
                            edtSetting.ClientSideEvents.Click = "OnCancel";
                            edtSetting.Style.Add("display", "inline-table");
                            edtSetting.UseSubmitBehavior = true;
                            //di nonaktifin dulu untuk direct login
                            //edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("BUYER", "FTR-SPEX-53-01", "CLEAR");
                            // edtSetting.ClientSideEvents.Init = "InitData";
                        }).GetHtml()
        </td>
    </tr>
</table>

@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OLD_SHUTTER_CODE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                    settings.ClientVisible = false;  
                }).Bind(Model.SHUTTER_CODE).GetHtml()

@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OLD_TRANSPORTATION";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                    settings.ClientVisible = false;  
                }).Bind(Model.TRANSPORTATION).GetHtml()

@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OLD_DESTINATION";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                    settings.ClientVisible = false;  
                }).Bind(Model.DESTINATION).GetHtml()

@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OLD_PRIVILLAGE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                    settings.ClientVisible = false;  
                }).Bind(Model.PRIVILLAGE).GetHtml()

@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OLD_HANDLING_TYPE";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                    settings.ClientVisible = false;  
                }).Bind(Model.HANDLING_TYPE).GetHtml()

@Html.DevExpress().TextBox(
                settings =>
                {
                    settings.Name = "I_OLD_CASE_GROUPING";
                    settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                    settings.Width = 100;
                    settings.Properties.MaxLength = 20;
                    settings.ClientVisible = false;
                }).Bind(Model.CASE_GROUPING).GetHtml()






